import { ChangeDetectorRef, OnDestroy, PipeTransform } from '@angular/core';
import { DateTime, ToRelativeUnit } from 'luxon';
import * as i0 from "@angular/core";
export declare class DateTimeToRelativeCalendarPipe implements OnDestroy, PipeTransform {
    private ref;
    private subscription;
    constructor(ref: ChangeDetectorRef);
    ngOnDestroy(): void;
    transform<T extends DateTime | null | undefined>(value: T, unit?: ToRelativeUnit): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<DateTimeToRelativeCalendarPipe, never>;
    static ɵpipe: i0.ɵɵPipeDeclaration<DateTimeToRelativeCalendarPipe, "dateTimeToRelativeCalendar", false>;
}
