import { ChangeDetectorRef, OnDestroy, PipeTransform } from '@angular/core';
import { DateTime, ToRelativeUnit } from 'luxon';
import * as i0 from "@angular/core";
export declare class DateTimeToRelativePipe implements OnDestroy, PipeTransform {
    private ref;
    private subscription;
    constructor(ref: ChangeDetectorRef);
    ngOnDestroy(): void;
    transform<T extends DateTime | null | undefined>(value: T, unit?: ToRelativeUnit, style?: 'long' | 'short' | 'narrow'): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<DateTimeToRelativePipe, never>;
    static ɵpipe: i0.ɵɵPipeDeclaration<DateTimeToRelativePipe, "dateTimeToRelative", false>;
}
